using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Xbox
{
    public class trak
    {
       public List<MetaNode> Fields = new List<MetaNode>();

       public trak()
       {
           Fields.AddRange(new MetaNode[] {
           new Unused(4),
           new Reflexive("Control Points", 28, new MetaNode[] { 
               new Value("Pos i", typeof(float)),
               new Value("Pos j", typeof(float)),
               new Value("Pos k", typeof(float)),
               new Value("Orientation i", typeof(float)),
               new Value("Orientation j", typeof(float)),
               new Value("Orientation k", typeof(float)),
               new Value("Orientation w", typeof(float)),
           }),
           });
       }
    }
}
